
Figure - 开发 Dev #110693
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

【MK】【AF】【Bootanimation】【TC-RID: 1201-0200101】
2022-07-25 16:57 - CD FW-王伟

Status: 完成 Closed Start date: 2022-07-25

Priority: Normal Due date: 2022-09-20

Assignee: CD- FW-石豪 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Description

■需求列表:

开关机动画的定制，这块现在没有详细的需求input，但是肯定有定制，客户那边后期应该会提CR。

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

Related issues:

Copied to Figure - 开发 Dev # 114231: 【MK】【AF】【ICON】【TC-RID... New 2022-07-25 2022-09-20

History

#1 - 2022-07-25 17:27 - CD FW-王伟

- Assignee set to CD FW-王伟

#2 - 2022-08-04 19:42 - CD FW-王伟

- Subject changed from 【MK】【001】【Bootanimation】【TC-RID: 0301-0200101】 to 【MK】【001】【Bootanimation】【TC-RID: 1201-0200101】

#3 - 2022-09-08 08:24 - CD FW-王伟

此功能已经明确，开机动画是播放视频

#4 - 2022-09-08 08:26 - CD FW-王伟

- Subject changed from 【MK】【001】【Bootanimation】【TC-RID: 1201-0200101】 to 【MK】【AF】【Bootanimation】【TC-RID: 1201-0200101】

#5 - 2022-09-15 18:06 - CD- FW-石豪

- Category set to CD-FW

- Assignee changed from CD FW-王伟 to CD- FW-石豪

#6 - 2022-09-15 21:52 - CD- FW-石豪

- Status changed from New to 进行中 In Progress

- % Done changed from 0 to 50

【开发进度】完成50%，已支持MP4格式开机动画

【测试步骤】

 1、开机后adb root；adb remout；adb shell 

 2、然后在创建文件/system/media/

 3、adb push xxx.mp4 /system/media/bootanimation.mp4

 4、重启，查看开机动画
【代码提交】

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/149089

【入库时间】0915，需要在0916以后的版本验证

【遗留问题】

 1、system/media/ 文件夹未自动创建

 2、视频播放会在系统启动之后中断然后进入launcher，不会播放完。

【依赖】

 需要客户提供 开机动画的视频文件

#7 - 2022-09-20 19:39 - CD- FW-石豪

- Due date set to 2022-09-20

- Status changed from 进行中 In Progress to 解决 Resolved

- % Done changed from 50 to 100

【进度变更】添加了播放视频结束后进入系统

【提交代码】

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/150103

【提交日期】0920，请在0921或以后版本测试

【遗留问题】无

【依赖】客户提供开机视频，用以集成测试

#8 - 2022-09-26 18:40 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V2.0_20220930

#9 - 2022-10-08 18:40 - CD FW-王伟

待后续有新的视频动画过来之后，再重新起一个票，完成视频的投入。

#10 - 2022-10-10 20:15 - CD FW-王伟

- Status changed from 解决 Resolved to 完成 Closed

#11 - 2022-12-22 20:33 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

149089 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:Bootanimation:Support boot animation as MP4 videobootvideo path is /system/media/bootanimation.mp4.The video has the highest priority. If no video is

found,the AOSP logic will take effect.TC-RID: 1201-0200101IssueID: TS-R-DF-110693Change-Id: I20d4331914805a61c95aef6e6374c9eebb28a7c8

#12 - 2022-12-22 20:34 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/149089
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/150103


150103 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:Bootanimation:Fix the boot animation can't finish playingSupport to enter the system after video playback is completedTC-RID: 1201-0200101IssueID:

TS-R-DF-110693Change-Id: I4b8a7890c80c3dd35e74258bf34aa1887157da1b

#13 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150665 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

AF:Bootanimation:Support bootanimation for mp4Add selinux ruleTC-RID: 1201-0200101IssueID: TS-R-DF-110693Change-Id:

I93930695ede2ca950dbdb5560cf380a2ae25d44e

#14 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150671 general/vendor/thundercomm/produc

ts/sepolicy_vndr

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wangwei0629@thundersoft.com

AF:Bootanimation:Support bootanimation for mp4Add selinux ruleTC-RID: 1201-0200101IssueID: TS-R-DF-110693Change-Id:

Ic39f3608fe35b43593275204aa4ab7a7874fd570

#15 - 2022-12-22 20:43 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155368 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Bootanimation: remove boot animationremove boot animationTC-RID: 1201-0200101IssueID: TS-R-DF-110693Change-Id:

I252bcfb3e5f7b94b642ed348198174bd983ee1ad

#16 - 2022-12-22 20:45 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157173 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12
-dev

AF:Bootanimation:change boot animationRevert "AF:Bootanimation: remove boot animation" This reverts commit

7241fa05e691cdeab065f3050598a4618ef84ef8.TC-RID: 1201-0200101IssueID: TS-R-DF-110693Change-Id: I4c234761734397ecd70a7ca499b17c1c282577f9

#17 - 2023-03-10 14:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186789 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0081

wangxl0510@thundersoft.com

AF:Bootanimation:Revert Support boot animation as MP4 videoTC-RID: 1201-0200101IssueID: TS-R-DF-110693Change-Id:

I7994b0ecc289adc5383e8a55e12bd45f8066d53c

#18 - 2023-04-16 11:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193971 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0090

wangxl0510@thundersoft.com

AF:Bootanimation:Revert Support boot animation as MP4 videoTC-RID: 1201-0200101IssueID: TS-R-DF-110693Change-Id:

I7994b0ecc289adc5383e8a55e12bd45f8066d53c(cherry picked from commit 2a8ad67d07271efd57be1178a832f6a261d0e440)

#19 - 2023-04-25 19:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

196182 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Bootanimation: change boot animationTC-RID: 1201-0200101IssueID: TS-R-DF-110693Change-Id: I9bd3fad9a58488bbce27d62e81b8e8d6370e8ec0
